Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.filesystem
Class FileSystemGroupStoreFactory

    java.lang.Object
      org.jasig.portal.groups.filesystem.FileSystemGroupStoreFactory

All Implemented Interfaces:
  IEntityGroupStoreFactory, IEntityStoreFactory

    public class FileSystemGroupStoreFactory

extends java.lang.Object
implements IEntityGroupStoreFactory, IEntityStoreFactory

Returns `IEntityGroupStore` and `IEntityStore` implementations for the file system group service.

Version:
  $Revision: 1.5 $
Author:
  Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`

Constructor Summary
`FileSystemGroupStoreFactory()` ReferenceGroupServiceFactory constructor.

Method Summary
`protected static FileSystemGroupStore` | `getGroupStore()`
`IEntityStore` | `newEntityStore()` Return an instance of the entity store implementation.
`IEntityGroupStore` | `newGroupStore()` Return an instance of the entity group store implementation.
`IEntityGroupStore` | `newGroupStore(ComponentGroupServiceDescriptor svcDescriptor)` Return an instance of the entity group store implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

Constructor Detail

### FileSystemGroupStoreFactory

    public FileSystemGroupStoreFactory()

  ReferenceGroupServiceFactory constructor.

Method Detail

### getGroupStore

    protected static FileSystemGroupStore getGroupStore()
                                                 throws GroupsException

  Returns:
    org.jasig.portal.groups.filesystem.FileSystemGroupStore
  Throws:
    `GroupsException`

### newEntityStore

    public IEntityStore newEntityStore()
                                throws GroupsException

  Return an instance of the entity store implementation.

  Specified by:
    `newEntityStore` in interface `IEntityStoreFactory`
  Returns:
    IEntityStore
  Throws:
    `GroupsException`

### newGroupStore

    public IEntityGroupStore newGroupStore()
                                    throws GroupsException

  Return an instance of the entity group store implementation.

  Specified by:
    `newGroupStore` in interface `IEntityGroupStoreFactory`
  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

### newGroupStore

    public IEntityGroupStore newGroupStore(ComponentGroupServiceDescriptor svcDescriptor)
                                    throws GroupsException

  Return an instance of the entity group store implementation.

  Specified by:
    `newGroupStore` in interface `IEntityGroupStoreFactory`
  Returns:
    IEntityGroupStore
  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD